Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.jsb
Class ServiceBeanState

    java.lang.Object
      org.jini.rio.core.jsb.ServiceBeanState

    public class ServiceBeanState

extends Object

The ServiceBeanState provides information on the lifecycle of a ServiceBean

Field Summary
`static int` | `ABORTED` ServiceBean has been advertised
`static int` | `ADVERTISED` ServiceBean has been advertised
`static int` | `INACTIVE` ServiceBean is inactive
`static int` | `INITIALIZED` ServiceBean has been initialized
`static int` | `STARTED` ServiceBean has been started
`static int` | `STARTING` ServiceBean is starting
`static int` | `STOPPED` ServiceBean has been stopped
`static int` | `UNADVERTISED` ServiceBean has been unadvertised

Constructor Summary
`ServiceBeanState()` Create a ServiceBeanState object

Method Summary
`int` | `getState()` Get the current state of the ServiceBean
`boolean` | `isAborted()` Check if we're aborted
`void` | `setState(int newState)` Set the state of the ServiceBean
`void` | `verifyTransition(int newState)` Verify the state transition, checking if the proposed new state is allowed from the current state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INACTIVE

    public static final int INACTIVE

  ServiceBean is inactive

  See Also:
    Constant Field Values

### STARTING

    public static final int STARTING

  ServiceBean is starting

  See Also:
    Constant Field Values

### INITIALIZED

    public static final int INITIALIZED

  ServiceBean has been initialized

  See Also:
    Constant Field Values

### STOPPED

    public static final int STOPPED

  ServiceBean has been stopped

  See Also:
    Constant Field Values

### STARTED

    public static final int STARTED

  ServiceBean has been started

  See Also:
    Constant Field Values

### UNADVERTISED

    public static final int UNADVERTISED

  ServiceBean has been unadvertised

  See Also:
    Constant Field Values

### ADVERTISED

    public static final int ADVERTISED

  ServiceBean has been advertised

  See Also:
    Constant Field Values

### ABORTED

    public static final int ABORTED

  ServiceBean has been advertised

  See Also:
    Constant Field Values

Constructor Detail

### ServiceBeanState

    public ServiceBeanState()

  Create a ServiceBeanState object

Method Detail

### getState

    public int getState()

  Get the current state of the ServiceBean

  Returns:
    The state of the ServiceBean

### setState

    public void setState(int newState)

  Set the state of the ServiceBean

  Parameters:
    `newState` - The new state
  Throws:
    `IllegalStateException` - if the `newState` is not a valid state

### verifyTransition

    public void verifyTransition(int newState)

  Verify the state transition, checking if the proposed new state is allowed from the current state. If the proposed state is not allowed an IllegalStateException will be thrown

  Parameters:
    `newState` - The new state to check
  Throws:
    `IllegalStateException` - If the proposed newState is not allowed

### isAborted

    public boolean isAborted()

  Check if we're aborted

  Returns:
    If the state is ABORTED, return `true`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.